#
# Conditional build:
%bcond_without	apidocs	# disable gtk-doc
%bcond_without	ssl	# without SSL support

Summary:	Loudmouth - a Jabber library written in C
Summary(pl.UTF-8):	Loudmouth - biblioteka do obsługi protokołu Jabber napisana w C
Name:		loudmouth
Version:	1.4.3
Release:	8
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/loudmouth/1.4/%{name}-%{version}.tar.bz2
# Source0-md5:	55339ca42494690c3942ee1465a96937
Patch0:		%{name}-async_crash.patch
Patch1:		%{name}-use-gnutls-pc.patch
Patch2:		%{name}-glib.patch
Patch3:		%{name}-link.patch
Patch4:		%{name}-gnutls.patch
URL:		https://github.com/mhallendal/loudmouth
# not available (Nov 2013)
#URL:		http://loudmouth.imendio.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	glib2-devel >= 1:2.12.3
%{?with_ssl:BuildRequires:	gnutls-devel >= 1.4.0}
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.7}
BuildRequires:	libidn-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	glib2 >= 1:2.12.3
%{?with_ssl:Requires:	gnutls >= 1.4.0}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Loudmouth is a lightweight and easy-to-use C library for programming
with the Jabber protocol. It's designed to be easy to get started with
and yet extensible to let you do anything the Jabber protocol allows.

%description -l pl.UTF-8
Loudmouth jest lekką i łatwą w obsłudze biblioteką napisaną w języku
C. Służy do obsługi protokołu Jabber. Została zaprojektowana z
naciskiem na prostotę obsługi, pozwala używać wszystkich możliwości
protokołu Jabber.

%package devel
Summary:	Header files and development documentation for Loudmouth library
Summary(pl.UTF-8):	Pliki nagłówkowe Loudmouth, dokumentacja dla programistów
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.12.3
%{?with_ssl:Requires:	gnutls-devel >= 1.4.0}

%description devel
This package provides the necessary header files to allow you to
develop with Loudmouth.

%description devel -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe potrzebne do tworzenia oprogramowania
z wykorzystaniem Loudmouth.

%package static
Summary:	Static libraries for developing with Loudmouth
Summary(pl.UTF-8):	Statyczne biblioteki Loudmouth
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static version of Loudmouth libraries.

%description static -l pl.UTF-8
Statyczna wersja bibliotek Loudmouth.

%package apidocs
Summary:	Loudmouth library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki Loudmouth
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
Loudmouth library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki Loudmouth.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_ssl:--without-ssl} \
	--with-asyncns \
	--enable-gtk-doc%{!?with_apidocs:=no}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTML_DIR=%{_gtkdocdir}

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libloudmouth-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libloudmouth-1.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libloudmouth-1.so
%{_libdir}/libloudmouth-1.la
%{_pkgconfigdir}/loudmouth-1.0.pc
%{_includedir}/loudmouth-1.0

%files static
%defattr(644,root,root,755)
%{_libdir}/libloudmouth-1.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}
%endif
%changelog
* Fri Nov 23 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/loudmouth.git;a=log;h=master

* Fri Nov 23 2018 Adam Gołębiowski <adamg@pld-linux.org> 1088b8a
- release 8, call gtkdocize

* Sat Apr 08 2017 Jan Rękorajski <baggins@pld-linux.org> ee490d6
- rebuild with gnutls 3.5
- release 7 (by relup.sh)

* Fri Mar 10 2017 Jakub Bogusz <qboosh@pld-linux.org> 7e034b2
- added gnutls patch (fixes build with gnutls 3.4+)

* Fri Apr 29 2016 Elan Ruusamäe <glen@delfi.ee> d6b415b
- noarch apidocs

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> cebdb35
- x32 rebuild
- release 5 (by relup.sh)

* Sat Nov 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 21981cd
- added glib patch (fixes build with recent glib)
- added link patch (avoid unnecessary linking, like -lnsl)
- updated gnutls version

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 40530d6
- release 4

* Sat Oct 24 2009 Marcin Banasiak <marcin.banasiak@gmail.com> ebd1785
- added -use-gnutls-pc.patch
- release 3

* Sat Oct 24 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 4090b41
- use gnutls.pc instead of libgnutls-config

* Fri Oct 23 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 3586f03
- added -async_crash.patch
- release 2

* Fri Oct 23 2009 Marcin Banasiak <marcin.banasiak@gmail.com> a30466b
- don't check for sync dns problems when using asyncns

* Sun Nov 02 2008 Marcin Banasiak <marcin.banasiak@gmail.com> ffd1233
- updated to 1.4.3

* Mon Oct 13 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 3683215
- updated to 1.4.2

* Mon Jul 21 2008 aredridel <aredridel@pld-linux.org> b877dc5
- build with asyncns option

* Sun Jun 08 2008 Patryk Zawadzki <patrys@room-303.com> b37d9ae
- 1.4.0

* Thu May 08 2008 wrobell <wrobell@pld-linux.org> 258573a
- ver. 1.3.4

* Mon Jan 21 2008 aredridel <aredridel@pld-linux.org> a198bbd
- 1.3.3

* Wed Jan 16 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1d5694b
- rel 2

* Sun Jun 10 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 1eeed45
- updated to 1.2.3

* Mon Apr 30 2007 Marcin Banasiak <marcin.banasiak@gmail.com> a8e4217
- added apidocs bcond and subpackage

